601,100
562,"NULL"
586,
585,
564,
565,"hdlITYA=aXVZ0>^Uf9^=h95`T[?@`mW@^D@dP1qeGChysxRHEG^t7rOzUyu44xJl@N209kEc1Lwprgy]sfWi2XKu^Ei>BVa\rTR;[AlP@TDNto7c=\gHQNj1xKdMbbhfxP6f\lY=>;q[i@pyQ32[UQ^I;1cP@6vjuNVyhqFvXOhlwCWf\:;au\xNR\bkOj0^47p]Uz]>"
559,0
593,
594,
595,
597,
598,
596,
800,
801,
566,0
567,","
588,"."
589,
568,""""
570,
571,
569,0
592,0
599,1000
560,6
action
Parent
Subset
pListItem1
pListItem2
pListItem3
561,6
2
2
2
2
2
2
590,6
action,"I"
Parent,""
Subset,""
pListItem1,""
pListItem2,""
pListItem3,""
637,6
action,action
Parent,Consolidating Element
Subset,Subset
pListItem1,List Item 1
pListItem2,List Item 2
pListItem3,List Item 3
577,0
578,0
579,0
580,0
581,0
582,0
572,70

#****GENERATED STATEMENTS START****
#****GENERATED STATEMENTS FINISH****

dimension = '}sm_control_list_values';
type = 'N';
previous = '';
weight = 0;

IF (action @= 'D');

IF (Subset @<> '');
IF (SUBSETEXISTS(dimension, subset) <> 0);
SUBSETDESTROY(dimension, subset);
ENDIF;
ENDIF;

IF (parent @<> '');
IF (DIMIX(dimension, parent) > 0);
DIMENSIONELEMENTDELETE(dimension, parent);
ENDIF;
ENDIF;
ENDIF;

# LOOP THROUGH INPUT LIST ITEM PARAMETERS
vItemIndex = 1;
WHILE (vItemIndex <= 3);
IF (vItemIndex = 1);
element = pListItem1;
ELSEIF (vItemIndex = 2);
element = pListItem2;
ELSEIF (vItemIndex = 3);
element = pListItem3;
ELSE;
element = '';
ENDIF;

IF (element @<> '');

#DELETE A LIST
IF (action @= 'D');

IF (DIMIX(dimension, element) > 0);
dimensionelementdelete(dimension, element);
ENDIF;

#REMOVE FROM A LIST
ELSEIF (action @= 'R');

IF (parent @<> '');
IF (DIMIX(dimension, parent) > 0 & DIMIX(dimension, element) > 0);
dimensionelementcomponentdelete(dimension, parent, element);
ENDIF;
ENDIF;

#CREATE/ADD TO A LIST
elseif (action @= 'I');

dimensionelementinsert(dimension, previous, element,type);
if (parent @<> '');
if (dimix(dimension, parent) = 0);
dimensionelementinsert(dimension, previous, parent, 'C');
endif;
dimensionelementcomponentadd(dimension, parent, element, weight);
endif;
endif;
ENDIF;

vItemIndex = vItemIndex + 1;
END;
573,3

#****GENERATED STATEMENTS START****
#****GENERATED STATEMENTS FINISH****
574,3

#****GENERATED STATEMENTS START****
#****GENERATED STATEMENTS FINISH****
575,15

#****GENERATED STATEMENTS START****
#****GENERATED STATEMENTS FINISH****

IF (action @<> 'D');
if (PARENT @<> '' & Subset @<> '');
IF (SUBSETEXISTS(dimension, subset) = 0);
SUBSETCREATEBYMDX( subset, 
'{ EXCEPT( {TM1DRILLDOWNMEMBER( {TM1FILTERBYPATTERN( {TM1SUBSETALL( [}sm_control_list_values] )}, ''' | parent | 
''')}, ALL, RECURSIVE )}, { [}sm_control_list_values].[' | parent | '] }) }');

ENDIF;
ENDIF;
ENDIF;

576,CubeAction=1511	DataAction=1503	CubeLogChanges=0	
638,1
804,0
900,
901,
902,
903,
906,
907,
908,
904,0
905,0
909,0
910,0
911,
912,
913,
914,
915,
916,
